Issue 71595

Summary: Mail Merge to single file without formfeeds
Product: Writer Reporter: aexl <openoffice>
Component: codeAssignee: AOO issues mailing list <issues>
Status: CONFIRMED --- QA Contact:
Severity: Minor    
Priority: P3 CC: elish, issues
Version: OOo 2.4.0   
Target Milestone: ---   
Hardware: All   
OS: All   
Issue Type: ENHANCEMENT Latest Confirmation in: 4.1.0-beta
Developer Difficulty: ---
Attachments:
Description Flags
Sample database
none
Sample mailmerge source text
none
Result of mail merge "how it is"
none
Result of mail merge "how it should be possible" none

Description aexl 2006-11-16 01:06:23 UTC
Mailmerge creates one page per Database record.
I want to use Mailmerge to create a database report with my own custom layout,
but  the new-page-per-record thing is a showstopper for me.
Coule "new page per record" be made an option in mailmerge?
Comment 1 michael.ruess 2006-11-16 07:23:25 UTC
Reassigned to HI.
Comment 2 h.ilter 2006-11-16 08:45:59 UTC
Please give more details. This description is a little bit superficially.
You can save the merged document as a single file or as individual files.
And you can also use a existing document or templates.
Comment 3 aexl 2006-11-16 10:08:26 UTC
I'll try to give an example:
- create a video database with 10 items
- create a template with just 1 sentence and 2 database filds in it:
  "Video number <id> has title <title."
- do a mailmerge against the video database
- result: 10 sentences on 10 pages
- expected result: 1 page with 10 sentences
can this clarify? 
Comment 4 h.ilter 2006-11-16 12:02:21 UTC
I'd say you should go another way
- Menu File - New - Labels
- Select the Brand "Avery Zweckform" and as Type "4746 Video-Etiketten"
- In this dialog, you can also type the text and insert the data fields
- Click on button "New Document" when you finished.
- Click on print button and answer the following question with yes
- A small mailmerge dialog will open where you can print the labels.
This shall solve your problem so I can close this issue.
Comment 5 aexl 2006-11-16 12:36:53 UTC
Videos was just an example to make it not too complex.
One of the use cases i want is to print out tasks.
As the field "description" can be arbitrary large, the "labels" suggestion
cannot do the job, as a label has a fixed layout with limited space per item,
but my "description"s vary from two words to two pages.
of course i can do a mailmerge but having all the two-word-descriptions on
separate pages is not acceptable.
of course i can print out a naked database table with my tasks, this might be ok
for me, but in a business presentation i need additional layout around these tasks.

there are other use cases for "formfeed-free mailmerge", but i hope this one can
clarify the idea. please try to understand. i am pushing free software like OOo
in business contexts, but sometimes small limitations can be big showstoppers! 
Comment 6 h.ilter 2006-11-16 13:29:53 UTC
Please provide a sample to evaluate.
Comment 7 h.ilter 2006-11-20 10:39:10 UTC
Reassigned to requirements
Comment 8 ace_dent 2008-05-15 13:28:52 UTC
This Issue requires more information ('needmoreinfo'), but has not been updated
within the last year. Please re-test with one of the latest versions of OOo -
the problem(s) may have already been addressed. Either use the recent stable
version: http://download.openoffice.org/index.html
or consider trying the new OOo 3 BETA (still in testing):
http://download.openoffice.org/3.0beta/
 
Please report back the outcome so this Issue may be closed or progressed as
necessary - otherwise it may be Resolved as Invalid in the future. You may also
wish to search for (and note) any duplicates of this Issue that may have
advanced further :
http://www.openoffice.org/issues/query.cgi
 
Regards,
Andrew
 
Cleaning-up and Closing old Issues as part of:
~ The Grand Bug Squash, pre v3 ~
Comment 9 aexl 2008-05-15 23:32:45 UTC
thanks andrew for giving me a ping to do it now and not some time in the
futute(tm). this is still an issue with 2.4.

here is a sample to evaluate. hope this makes it more clear.
Comment 10 aexl 2008-05-15 23:33:38 UTC
Created attachment 53683 [details]
Sample database
Comment 11 aexl 2008-05-15 23:34:30 UTC
Created attachment 53684 [details]
Sample mailmerge source text
Comment 12 aexl 2008-05-15 23:35:19 UTC
Created attachment 53685 [details]
Result of mail merge "how it is"
Comment 13 aexl 2008-05-15 23:36:07 UTC
Created attachment 53686 [details]
Result of mail merge "how it should be possible"
Comment 14 Rob Weir 2013-02-02 02:56:12 UTC
This Issue requires more information ('needmoreinfo'), but has not been updated
within the last year. Please provide feedback as requested and re-test with the the latest version of OpenOffice - the problem(s) may already be addressed. 

You can download Apache OpenOffice 3.4.1 from http://www.openoffice.org/download

Please report back the outcome of your testing, so this Issue may be closed or
progressed as necessary - otherwise the issue may be Resolved as Invalid in the
future.
Comment 15 Edwin Sharp 2014-03-17 19:13:39 UTC
Confirmed with
AOO410m14(Build:9760)  -  Rev. 1573062
2014-03-01_04:11:01 - Rev. 1573123
Debian